import { Legend } from "./Legend";

export default {
  title: 'Toplevel/SeatLegend',
  component: Legend,
  parameters: {
    backgrounds: {
      default: 'blue-bg',
      values: [
        { name: 'blue-bg', value: '#3444c5' },
      ],
    },
    layout: "centered",
  },
  
};

export const Default = (args) => <Legend {...args} />;
Default.args = {
  labels:{
    selectedLabel: "Selected",
    reservedLabel: "Reserved",
    availableLabel: "Available",
  }
};
