import { Screen } from "./Screen";

export default {
  title: "Shared/Screen",
  component: Screen,
  parameters: {
    backgrounds: {
      default: "blue-bg",
      values: [{ name: "blue-bg", value: "#3444c5" }],
    },
  },
  argTypes: {
    width: {
      control: { type: "number" },
      defaultValue: 600,
    },
    height: {
      control: { type: "number" },
      defaultValue: 210,
    },
  },
};

export const statndardScreen= (args) => <Screen {...args} />;

statndardScreen.args = {
  width: 600,
  height: 210,
};
